Announcement

Collapse
No announcement yet.

Several Problems after install

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Several Problems after install

    Hi!

    I discovered several problems after installation todays's CVS.


    a.) filespool not created - bad as it gives a lot of errors and no saving the settings
    -> fixed it by creating it by hand with the appropriate rights

    a.) 2.) Saving the settings does still not work on logout:
    Log:
    Apr 2, 2007 1:45:28 PM com.openexchange.tools.servlet.ServletContextWrapp er log
    INFO: null: USS-0004 Category=8 Message=Unknown setting path /tasknotification. exceptionID=35732385-51
    USS-0004 Category=8 Message=Unknown setting path /tasknotification. exceptionID=35732385-51
    at com.openexchange.groupware.settings.ConfigTree.get SettingByPath(ConfigTree.java:151)
    at com.openexchange.ajax.ConfigMenu.saveSettingWithSu bs(ConfigMenu.java:273)
    at com.openexchange.ajax.ConfigMenu.doPut(ConfigMenu. java:217)
    at javax.servlet.http.HttpServlet.service(HttpServlet .java:763)
    at com.openexchange.ajax.SessionServlet.service(Sessi onServlet.java:133)
    at javax.servlet.http.HttpServlet.service(HttpServlet .java:853)
    at com.openexchange.tools.ajp13.AJPv13Request.respons e(AJPv13Request.java:94)
    at com.openexchange.tools.ajp13.AJPv13RequestHandler. createResponse(AJPv13RequestHandler.java:336)
    at com.openexchange.tools.ajp13.AJPv13Connection.crea teResponse(AJPv13Connection.java:170)
    at com.openexchange.tools.ajp13.AJPv13Listener.run(AJ Pv13Listener.java:232)
    at java.lang.Thread.run(Thread.java:595)

    b.) (Webinterface) When clicking on "Einstellungen" -> "Extras" the link does not work.
    GUI says:
    Fehlermeldung: LGI-0008: Link is not implemented.
    Log says:
    Apr 2, 2007 1:24:47 PM com.openexchange.ajax.ConfigJump doGet
    SEVERE: LGI-0008 Category=10 Message=Link is not implemented. exceptionID=35732385-46
    LGI-0008 Category=10 Message=Link is not implemented. exceptionID=35732385-46
    at com.openexchange.groupware.integration.EmptyImpl.g etLink(EmptyImpl.java:74)
    at com.openexchange.ajax.ConfigJump.doGet(ConfigJump. java:98)
    at javax.servlet.http.HttpServlet.service(HttpServlet .java:740)
    at com.openexchange.ajax.SessionServlet.service(Sessi onServlet.java:133)
    at javax.servlet.http.HttpServlet.service(HttpServlet .java:853)
    at com.openexchange.tools.ajp13.AJPv13Request.respons e(AJPv13Request.java:94)
    at com.openexchange.tools.ajp13.AJPv13RequestHandler. createResponse(AJPv13RequestHandler.java:336)
    at com.openexchange.tools.ajp13.AJPv13Connection.crea teResponse(AJPv13Connection.java:170)
    at com.openexchange.tools.ajp13.AJPv13Listener.run(AJ Pv13Listener.java:232)
    at java.lang.Thread.run(Thread.java:595)

    c.) Several GUI bugs with Firefox (2.0.3)

    d.) Creating a user called "Dr. X Y" did work but the name ("display name") is only "Dr."

    e.) Teams: Creating a team works but adding teammembers does not work in FF as the window with the teammebers
    lays behind the "create team" window.

    f.) Creating a new OX user with "-l de_DE" results in setting the language to "de_de_" (database) and therefor
    a few 404 errors are shown in the webinterface. Solution: UPDATE user SET preferredLanguage='de_DE' WHERE preferredLanguage='de_de_' on the open-xchange-db

    g.) Where are the projects left?

    Comments appricated! :-)

    TIA,
    Thomas

  • #2
    Hi!

    We decided that Hyperion is a no-go solution as it does not support OXTender. Currently Hyperion is nothing more than a good looking Webmail client with some calender... if you want something free and well supported go with Kolab and Horde...

    Wasted 6 Hours and a few hundret euros. Thanks. Maybe you can note that on the top of the Installpage that OXTender is not yet supported.

    Best regards,
    Thomas
    Last edited by tzi; 04-02-2007, 02:11 PM.

    Comment


    • #3
      >b.) (Webinterface) When clicking on "Einstellungen" -> "Extras" the link does not work

      This link is not implemented because it is the link to the 1&1 Mailxchange configuration like Spamfilter/White-/Blacklisting which is provided by 1&1

      >c.) Several GUI bugs with Firefox (2.0.3)

      Please open a bug for _each_ GUI error in Bugzilla and describe what is wrong in detail.
      http://www.open-xchange.com/wiki/ind...ing_guidelines

      >g.) Where are the projects left?

      Not implemented so far in Hyperion


      > We decided that Hyperion is a no-go solution as it does not support OXTender.
      It does support OXtenders (like that one for Outlook) but is not compatible to the OXtenders released with 0.8.x (OX5). It also offers a full featured interfaces for other extensions, too.
      http://www.open-xchange.com/wiki/ind...tle=Interfaces
      Last edited by Martin Heiland; 04-02-2007, 02:12 PM.

      Comment


      • #4
        Hi!

        I purchased a 25 seat license for OX-0.8.x (GPL) a few weeks ago. We experienced a few problems with calender and we were advised to upgrade the server. I did that today (Hyperion). What do I have todo to get my OXLook working with Hyperion?

        TIA,
        Thomas

        Comment


        • #5
          As you mentioned, you bought the OXtender for Microsoft Outlook for OX 0.8. Hyperion is not the direct update for this 0.8 but some kind of whole new product. If you want to update your 0.8 Server you should look for updates to that product at
          http://www.open-xchange.com/header/c...ad_archiv.html

          Comment


          • #6
            Hi!

            But when I have more and more bugs with OX I will have to stick with them. So, the only chance to have them fixed is to get Hyperion. Any solution to upgrade my OXLook license (only 3 weeks old!) to the latest (Hyperionsupported) Release?

            TIA,
            Thomas

            Comment


            • #7
              That is not the case. OX 0.8 is still under maintance and development (fixing, features...) and we just released a preview of the SP3 sourcecode a couple of weeks ago. You can also report bugs for 0.8. The OXtender for Microsoft Outlook is of course supported by this release. You do not need to update to Hyperion to have the latest fixes. Hyperion Community Edition (CE) is currently not compareable to 0.8 because it has been newly developed and is not a upgrade to 0.8. Currently it is under heavy development and will improve in the next months.
              Last edited by Martin Heiland; 04-02-2007, 02:32 PM.

              Comment


              • #8
                Hi!

                Ok. I just saw the new source-tgz on the old website. It's just looking like you see OX 0.8.x as depricated and want to force all users to Hyperion.
                Maybe this should be an hint to your Website Department to make a more clear communication on the website. I was interpreting that Hyperion is somewhat the direct successor of 0.8.x and recommended for upgrading...

                Thanks for clarification.

                Best regards,
                Thomas

                Comment


                • #9
                  You're welcome.

                  We already have a note at the new wiki
                  "Note: This wiki is about the current product, Open-Xchange Codename Hyperion. If you are looking for information about the previous version, Open-Xchange 5, have a look at the old OX5 wiki" but maybe this is not clear enough - you're right! I'll talk to our webteam to place a note about that at the essential places. Please not that the current SP3 (0.8.6) is not the final code. If you want to evaluate this you can do so but for productive use you should wait till the final release.

                  *update*
                  Has been reported to the website team.
                  Last edited by Martin Heiland; 04-02-2007, 02:50 PM.

                  Comment


                  • #10
                    Hi!

                    The main issue is, that I need to update *now* not in the next week or smth. like that. So I hope that the basic features (Calendar & OXLook) are working with the current beta. I hope an upgrade from beta to final is not that hard? Any comments on that please?

                    TIA,
                    Thomas

                    Comment


                    • #11
                      Sure the basic features are working. Would not make sense to reduce functionality in a newer version.

                      Updating to a final version should not be harder than installing this beta.

                      Comment


                      • #12
                        Hi!

                        Then I would appriciate some comments on the existing bug reports / problems during install in the 0.8.x forum. E.g. http://typo3.open-xchange.com/forum/...splay.php?f=10

                        TIA,
                        Thomas

                        Comment


                        • #13
                          Createing certificate

                          During the oxinstaller script process I get some errors about some pem files that dont excists
                          RemoteException occurred in server thread; nested exception is:
                          java.rmi.RemoteException: java.rmi.RemoteException: Wrong exit status for selfsignedcertificate creation

                          chmod: cannot access `/etc/ssl/certs/eecert.pem': No such file or directory
                          chmod: cannot access `/etc/ssl/private/eekey.pem': No such file or directory
                          chgrp: cannot access `/etc/ssl/private/eekey.pem': No such file or directory

                          Then I tried to create them like this:
                          /opt/open-xchange/sbin/createcertificate -A oxadmin -P secret -T US -F /etc/ssl/private/eekey.pem -C /etc/ssl/certs/eecert.pem

                          I got the same error:
                          Server response:
                          RemoteException occurred in server thread; nested exception is:
                          java.rmi.RemoteException: java.rmi.RemoteException: Wrong exit status for selfsignedcertificate creation

                          The directory /etc/ssl/certs and /etc/ssl/private didnt exsist on my centos box so I created them still the same.

                          What Im I missing ?

                          Comment

                          Working...
                          X